盒子
盒子
Posts List
  1. 一.前言
  2. 二.升级

android-support-v4.jar升级方法

一.前言

在做android 6.0权限适配过程中,发现一些重要方法在老版本的android-support-v4.jar中没有,需要升级到23版本的才可以,但是google给出的升级方法是针对android studio的,具体可以参考:

andorid studio android-support-v4.jar 升级方法

对于还用eclipse的用户只能去网上搜索jar包,很多jar都不全,这里我给出非常完整的升级方法,亲测。

二.升级

在eclipse中打开sdk manager , 最下面找到
extras - android support repository

安装如图:

image

找到SDK的安装路径 ,在SDK manager 的 SDK PATH中有显示, 假设是 SDK_DIR,找到该目录下的

\extras\android\m2repository\com\android\support\support-v4\23.0.1\support-v4-23.0.1.aar

后面的23.0.1是我使用的版本,这里可以选择任意其他23号版本的路径

将support-v4-23.0.1.aar用压缩软件打开,复制里面的classes.jar和libs\internal-23.0.1.jar包,注意如果Libs下还有其他包也要一并取出,重命名为
android-support-v4-23.0.1.jar和android-support-v4-23.0.1-internal.jar

将这两个jar包导入到eclipse的Libs目录下,clean项目,你所需要的support-v4包就包含了完整的类库了。

升级到其他版本比如24版本也是一样的过程。

注意:如果不导入Libs下的jar包,在clean项目后,会提示找不到一些class,比如ActivityCompatBJ等等。

一般最高版本的V4/V7包都会兼容之前版本的包,但是包体就会略大一些,建议使用最新的包。

支持一下
扫一扫,支持牛头码农